-- View: idm_rpt_cfg.idmrpt_idv_acct_v

-- DROP VIEW idm_rpt_cfg.idmrpt_idv_acct_v;

CREATE OR REPLACE VIEW idm_rpt_cfg.idmrpt_idv_acct_v AS 
 SELECT idmrpt_idv_acct.idv_acct_id,
    idmrpt_idv_acct.identity_id,
    idmrpt_idv_acct.idv_acct_dn,
    idmrpt_idv_acct.idv_acct_user AS idv_acct_cn,
    idmrpt_idv_acct.idv_acct_guid,
    idmrpt_idv_acct.idv_acct_status,
    idmrpt_idv_acct.idmrpt_valid_from,
    'now'::text::date + 7305 + 'now'::text::time with time zone AS idmrpt_valid_to,
    idmrpt_idv_acct.idmrpt_deleted,
    idmrpt_idv_acct.idv_id,
    idmrpt_idv_acct.rpt_drv_id,
    idmrpt_idv_acct.idmrpt_syn_state
   FROM idm_rpt_data.idmrpt_idv_acct
  WHERE idmrpt_idv_acct.idmrpt_syn_state > 0
UNION ALL
 SELECT idmrpt_idv_acct_hist.idv_acct_id,
    idmrpt_idv_acct_hist.identity_id,
    idmrpt_idv_acct_hist.idv_acct_dn,
    idmrpt_idv_acct_hist.idv_acct_user AS idv_acct_cn,
    idmrpt_idv_acct_hist.idv_acct_guid,
    idmrpt_idv_acct_hist.idv_acct_status,
    idmrpt_idv_acct_hist.idmrpt_valid_from,
    idmrpt_idv_acct_hist.idmrpt_valid_to,
    idmrpt_idv_acct_hist.idmrpt_deleted,
    idmrpt_idv_acct_hist.idv_id,
    idmrpt_idv_acct_hist.rpt_drv_id,
    1 AS idmrpt_syn_state
   FROM idm_rpt_data.idmrpt_idv_acct_hist;

ALTER TABLE idm_rpt_cfg.idmrpt_idv_acct_v
  OWNER TO idm_rpt_cfg;
GRANT ALL ON TABLE idm_rpt_cfg.idmrpt_idv_acct_v TO idm_rpt_cfg;
GRANT SELECT ON TABLE idm_rpt_cfg.idmrpt_idv_acct_v TO idmrptuser;
COMMENT ON VIEW idm_rpt_cfg.idmrpt_idv_acct_v
  IS 'Contains information about the accounts in all of the Identity Vaults the reportings warehouse is collecting data about.';
